# ``TagKit``

TagKit makes it easy to work with tags in `Swift` and `SwiftUI`.



## Overview

![TagKit logo](Logo.png)

Tags and tag presenting views can be customized to fit your specific needs. You can change the tag format and use any custom models. When presenting tags, you can change colors, fonts, corner radius etc. and use any views you like.



## Supported Platforms

TagKit supports `iOS 13`, `macOS 11`, `tvOS 13` and `watchOS 6`.



## Installation

TagKit can be installed with the Swift Package Manager:

```
https://github.com/danielsaidi/TagKit.git
```

or with CocoaPods:

```
pod TagKit
```


## About this documentation

The online documentation is currently iOS-specific. To generate documentation for other platforms, open the package in Xcode, select a simulator then run `Product/Build Documentation`.



## License

TagKit is available under the MIT license.



## Topics

### Articles

- <doc:Getting-Started>

### Types

- ``Slugifiable``
- ``SlugConfiguration``
- ``Taggable``

### Views

- ``TagCapsule``
- ``TagCapsuleStyle``
- ``TagEditList``
- ``TagList``
- ``TagListContainer``
- ``TagTextField``
